Main Page Widgets Namespaces Book

# Gtk::IconSize Class Reference

List of all members.

## Detailed Description

Represents registered icon sizes.

You can also use a Gtk::BuiltinIconSize instead of an IconSize.

## Public Member Functions
| IconSize ()
| IconSize (BuiltinIconSize size)
| IconSize (int size)
| operator int () const
## Static Public Member Functions
bool | lookup (IconSize size, int& width, int& height)
IconSize | register_new (const Glib::ustring& name, int width, int height)
void | register_alias (const Glib::ustring& alias, IconSize target)
IconSize | from_name (const Glib::ustring& name)
Glib::ustring | get_name (IconSize size)

## Constructor & Destructor Documentation

Gtk::IconSize::IconSize | ( |  | ) | `[inline]`

Gtk::IconSize::IconSize | ( | BuiltinIconSize | size | ) | `[inline]`

Gtk::IconSize::IconSize | ( | int | size | ) | `[inline, explicit]`

## Member Function Documentation

IconSize Gtk::IconSize::from_name | ( | const Glib::ustring& | name | ) | `[static]`

Glib::ustring Gtk::IconSize::get_name | ( | IconSize | size | ) | `[static]`

bool Gtk::IconSize::lookup | ( | IconSize | size,
|  | int& | width,
|  | int& | height
| ) | `[static]`

Gtk::IconSize::operator int | ( |  | ) | const`[inline]`

void Gtk::IconSize::register_alias | ( | const Glib::ustring& | alias,
|  | IconSize | target
| ) | `[static]`

IconSize Gtk::IconSize::register_new | ( | const Glib::ustring& | name,
|  | int | width,
|  | int | height
| ) | `[static]`

The documentation for this class was generated from the following file:

- enums.h